List invoices
const options = {method: 'GET', headers: {'x-dolfin-api-key': '<api-key>'}};
fetch('https://api.dolfinai.co/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dolfinai.co/v1/invoices"
headers = {"x-dolfin-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.dolfinai.co/v1/invoices");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-dolfin-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.dolfinai.co/v1/invoices \
--header 'x-dolfin-api-key: <api-key>'{
"data": [
{
"currency": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentNumber": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"subTotal": 123,
"taxAmount": 123,
"totalAmount": 123,
"amountPaid": 123,
"amountCredited": 123,
"outstanding": 123,
"recurringScheduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurringOccurrenceNumber": 123,
"memo": "<string>",
"paymentLinkUrl": "<string>",
"ccEmails": [
"<string>"
],
"paymentTermsDays": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentUrl": "<string>",
"customer": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"taxNumber": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"lineItems": [
{
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"taxRateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxRateSnapshot": {
"code": "<string>",
"name": "<string>",
"source": "<string>",
"rate": 123,
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshottedAt": "2023-11-07T05:31:56Z"
},
"quantity": 123,
"unitPrice": 123,
"taxAmount": 123,
"subTotal": 123
}
]
}
],
"meta": {
"cursors": {
"current": "<string>",
"next": "<string>",
"previous": "<string>"
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Invoices
List invoices
List invoices for the organisation with optional status, customer, and date filtering.
Authentication. An API key (x-dolfin-api-key) together with the x-dolfin-organisation-id header identifying the organisation, or a JWT Bearer token that carries the organisation in its claims.
GET
/
v1
/
invoices
List invoices
const options = {method: 'GET', headers: {'x-dolfin-api-key': '<api-key>'}};
fetch('https://api.dolfinai.co/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dolfinai.co/v1/invoices"
headers = {"x-dolfin-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.dolfinai.co/v1/invoices");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-dolfin-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.dolfinai.co/v1/invoices \
--header 'x-dolfin-api-key: <api-key>'{
"data": [
{
"currency": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentNumber": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"subTotal": 123,
"taxAmount": 123,
"totalAmount": 123,
"amountPaid": 123,
"amountCredited": 123,
"outstanding": 123,
"recurringScheduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurringOccurrenceNumber": 123,
"memo": "<string>",
"paymentLinkUrl": "<string>",
"ccEmails": [
"<string>"
],
"paymentTermsDays": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentUrl": "<string>",
"customer": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"taxNumber": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"lineItems": [
{
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"taxRateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxRateSnapshot": {
"code": "<string>",
"name": "<string>",
"source": "<string>",
"rate": 123,
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshottedAt": "2023-11-07T05:31:56Z"
},
"quantity": 123,
"unitPrice": 123,
"taxAmount": 123,
"subTotal": 123
}
]
}
],
"meta": {
"cursors": {
"current": "<string>",
"next": "<string>",
"previous": "<string>"
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
ApiKeyBearer
An API key issued to your client. It carries the client's scope; org-scoped calls also require the x-dolfin-organisation-id header. Keys are created and revoked by a client administrator.
Headers
Target organisation. Required when authenticating with an API key; omit for Bearer callers (resolved from the token).
Query Parameters
Available options:
Draft, Sent, Paid, Void, PartiallyPaid, Credited ⌘I